Poll order status
GET
https://pay.example.com/pay/check-status/{trade_id}Poll with the EPUSDT trade_id to update checkout. Fulfil the order after verifying the merchant callback.
Parameters
trade_id · string · PATH
The EPUSDT transaction ID returned when the order was created.
Order states
| Status | Meaning |
|---|---|
| 1 | Awaiting payment |
| 2 | Paid |
| 3 | Expired |
| 4 | Awaiting a network, asset or provider selection |
| 5 | A matching transfer has been observed and is confirming |
| 6 | Two rounds of strict verification failed. Manual review is required |
Related resources
Responses
application/json
Response fields
status_codeintegerApplication result code.
messagestringHuman-readable result.
dataobjectResponse payload; null on error.
trade_idstringstatusinteger
request_idstringRequest identifier for tracing.
application/json
Response fields
status_codeintegerApplication result code.
messagestringHuman-readable result.
datanullResponse payload; null on error.
request_idstringRequest identifier for tracing.